%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-vobject 
Version:        0.8.1c 
Release:        12%{?dist}
Summary:        A python library for manipulating vCard and vCalendar files

Group:          Development/Languages
License:        ASL 2.0
URL:            http://vobject.skyhouseconsulting.com/ 
Source0:        http://vobject.skyhouseconsulting.com/vobject-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-dateutil15
Requires:       python-setuptools

Patch1:         no-ez-setup.patch
Patch2:         0001-Require-dateutil-1.5.patch

%description
VObject is intended to be a full featured python library for parsing and
generating vCard and vCalendar files.


%prep
%setup -q -n vobject-%{version}
%patch1 -p1
%patch2 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS.txt LICENSE-2.0.txt README.txt

%{python_sitelib}/*

%{_bindir}/change_tz
%{_bindir}/ics_diff


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 23 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.8.1c-11
- Add patch 0001-Require-dateutil-1.5.patch enforcing the version of
  python-dateutils used

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 02 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.8.1c-5
- Add python-setuptools as requires since it is needed for the ics_diff script

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.1c-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1c-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 03 2009 James Bowes <jbowes@redhat.com> - 0.8.1c-1
- Update to 0.8.1c

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 James Bowes <jbowes@redhat.com> - 0.8.1b-1
- Update to 0.8.1b

* Mon Jan 05 2009 James Bowes <jbowes@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.7.1-3
- Rebuild for Python 2.6

* Wed Sep 03 2008 James Bowes <jbowes@redhat.com> - 0.7.1-2
- Add change_tz executable

* Wed Sep 03 2008 James Bowes <jbowes@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jul 24 2008 James Bowes <jbowes@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Wed Jun 11 2008 James Bowes <jbowes@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Fri May 30 2008 James Bowes <jbowes@redhat.com> - 0.6.5-1
- Update to 0.6.5

* Thu Mar 13 2008 James Bowes <jbowes@redhat.com> - 0.6.0-2
- Remove use of ez_setup; we already have setuptools.

* Thu Mar 13 2008 James Bowes <jbowes@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Thu Jan 17 2008 James Bowes <jbowes@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Wed Dec 12 2007 James Bowes <jbowes@redhat.com> - 0.4.9-2
- Use new egg-info guidlines for F9

* Sun Dec 02 2007 James Bowes <jbowes@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Sat Dec 09 2006 James Bowes <jbowes@redhat.com> - 0.4.4-2
- Add BR: python-devel

* Sun Nov 26 2006 James Bowes <jbowes@redhat.com> - 0.4.4-1
- New version released.

* Sat Oct 07 2006 James Bowes <jbowes@redhat.com> - 0.4.3-1
- New version released.

* Sun Sep 10 2006 James Bowes <jbowes@redhat.com> 0.4.1-2
- Stop ghosting pyo files.

* Sat Aug 12 2006 James Bowes <jbowes@redhat.com> 0.4.1-1
- New version released.
- Handle egg info.

* Thu Jun 29 2006 James Bowes <jbowes@redhat.com> 0.3.0-1
- Initial packaging.
